Last updated: September 23, 2026

Update Policy

Update Policy.

Request

PUThttps://superadminuser.miniorange.in/services/api/apps/v1/authen-policies/:policyUuid

Authentication headers (required on every request)

Customer-Key
Super Admin ID for the actor account.
Timestamp
Milliseconds since epoch (e.g. Date.now()).
Authorization
SHA-512 of superAdminId + timestamp + apiKey.
X-Target-Customer-Id
Customer tenant the Super Admin is acting on.

Parameters

NameTypeRequiredDescription
policyUuidStringRequiredPath parameter
appStringOptional
groupStringOptional
policyNameStringOptional
firstFactorAuthTypeStringOptional
isSecondFactorMandatoryStringOptional
secondFactorAuthTypeStringOptional
enableRbaDeviceStringOptional
enableRbaLocationStringOptional
enableRbaTimeOfAccessStringOptional
enableRbaIPStringOptional
force_2faOnLoginStringOptional
isEndUserSecondFactorEnabledStringOptional
checkDeviceIdStringOptional
adaptivePolicyStringOptional

Request body

{
    "app": {
        "id": "9e5c1142-6587-11f1-81c8-92e868ed51b9",
        "name": "My Desktop App"
    },
    "group": {
        "id": "f9adddf9-435a-4512-901c-5e04d371cc27",
        "name": "g1"
    },
    "policyName": "Admin MFA Policy Updated",
    "firstFactorAuthType": "PASSWORD",
    "isSecondFactorMandatory": true,
    "secondFactorAuthType": "PUSH NOTIFICATIONS",
    "enableRbaDevice": false,
    "enableRbaLocation": false,
    "enableRbaTimeOfAccess": false,
    "enableRbaIP": false,
    "force_2faOnLogin": true,
    "isEndUserSecondFactorEnabled": true,
    "checkDeviceId": false,
    "adaptivePolicy": null
}

No sample response is documented for this endpoint yet. Use Try it on the right to see the live response from your tenant.

Copied